Issue 44438

Summary: when selecting text, not all objects, which are anchored at the selected text, are deleted
Product: Writer Reporter: norbert2 <norbert.notz>
Component: codeAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, kamataki
Version: OOo 2.0 Beta   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
document with images and frames
none
document with different anchored images none

Description norbert2 2005-03-08 09:58:31 UTC
- please open the attached document in OOo 1.1.4 and 2.0 beta: the first picture
and frame are anchored to paragraph, the second picture and frame are anchored
as character

- press CTRL+a: compare them: in 1.1.4 all objects are shown as selected, in 2.0
beta the first picture and frame are not shown in selected style

- press DEL: in 1.1.4 all objects are deleted as expected, in 2.0 the first
image is not deleted!

So this is not a "optical" problem only.
Comment 1 norbert2 2005-03-08 09:59:05 UTC
Created attachment 23509 [details]
document with images and frames
Comment 2 norbert2 2005-03-08 10:01:09 UTC
I just found that anchor to character also is affacted by the bug, see document
attached belowe.
Comment 3 norbert2 2005-03-08 10:01:50 UTC
Created attachment 23512 [details]
document with different anchored images
Comment 4 norbert2 2005-03-08 10:04:17 UTC
(you may also have a look at issue 43505, where a similar problem with tables
has been fixed.)
Comment 5 norbert2 2005-03-08 10:05:02 UTC
please target this issue to OOo 2.0
Comment 6 michael.ruess 2005-03-08 16:19:09 UTC
MRU->OD: open attached document, Ctrl-A -> the first graphic won't be selected
and will remain in doc when deleting selection

Please have a look, if you have enough resources to put this into OO 2.0.
Comment 7 Oliver-Rainer Wittmann 2005-03-09 13:40:21 UTC
The described effect, that frames and graphics aren't viewed as selected, is
intented in OOo 2.0. But this area isn't completely consistent and have to be
re-factored later. I submit a new issue for this -> 44588

The defect that the frame, which is anchored at the first paragraph isn't
deleted, has to be fixed by this issue

Thus, adjust summary accordingly
Comment 8 Oliver-Rainer Wittmann 2005-03-09 14:31:48 UTC
OD->DVO: please take over as discussed.
Comment 9 Oliver-Rainer Wittmann 2005-03-09 14:35:33 UTC
forgot to assign to DVO
Comment 10 openoffice 2005-03-09 18:34:11 UTC
dvo: Ouch! This problem is not nearly as benign as it looks. This is one of our
popular 'concept problems', which means fixing this will require significant
changes to the code. Which means it is risky. Which means I am very hesitant to
fix this for the upcoming release. However, I will investigate some more before
pleading to re-target this issue.

The actual problem is this: <Ctrl-A> select from the first character to the
last. The graphics is anchored to the paragraph. (NOT the characters.) When
deleting paragraphs with flys (images, frames, etc.)  anchored to them, the flys
will only be deleted if the COMPLETE paragraph is deleted. If anything of the
paragraph remains, the graphic will remain. In this case, the first and last
paragraph remain and are merged together. Since, essentially, parts of both
paragraphs survive, so will the paragraph-bound flys anchored to them.

This behaviour was explicitly decided upon in the turn of fixing another issue
(that I cannot find currently). The problem THERE was that people were very
surprised by their graphics suddenly vanishing during delete operations, even
though the paragraphs in questions remained at least partially intact. Now,
THERE the current behaviour makes sense. But in THIS issue, in the Ctrl-A case,
it clearly doesn't.

At the time, one argument was that there is a trivial work-around, in that if
people really want the graphics to be deleted as well, it's just another
<click>+<del>. This applies to the <Ctrl-A> case as well. The other solution
would have graphics unexpectedly disappearing, which is a much graver problem.

I will fix this, IF I can find a fix that I am sure will not break stuff
elsewhere. Given what I said above, that is not terribly likely. Also, I am not
terribly inclined to introduce a quick-hack for exactly this situation. If I
can't fix this now, this should be fixed for the next version, which gives us
more time. I would really prefer if we would fix this together with the more
thorough rework that we are planning on the Writer enginge for the upcoming
version. That would allow a much cleaner solution.
Comment 11 norbert2 2005-03-09 18:48:32 UTC
@od:

"The described effect, that frames and graphics aren't viewed as selected, is
intented in OOo 2.0."

Why is this intended? I think the user would like to see which objects are
selected...
Comment 12 andreas.martens 2005-03-10 08:59:17 UTC
It's too risky and too much effort for OOo2.0.
I'll set target to OOo Later, we need a concept change here.
Comment 13 norbert2 2005-03-31 16:35:43 UTC
(You may also have a look at issue 46421.)
Comment 14 Rob Weir 2013-07-30 02:21:09 UTC
Reset assignee on issues not touched by assignee in more than 2000 days.